Contenu | Rechercher | Menus

Annonce

Ubuntu 16.04 LTS
Commandez vos DVD et clés USB Ubuntu-fr !

Pour en savoir un peu plus sur l'équipe du forum.

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

#1 Le 09/10/2017, à 18:39

slf

Bug de Mise à jour

Bonjour,

J'ai voulu installer ssh dimanche : l manque des linux-image ... :
Voici la sortie d'un apt-get (il sont tous identiques, de même qu'un apt-get autoremove --purge -f, un apt-get upgrade, ...)
Avez vous une idée ?

root@Tour:/home/papa# apt-get install discover
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
The following additional packages will be installed:
  discover-data libdiscover2
Les paquets suivants seront ENLEVÉS :
  linux-image-4.4.0-92-generic linux-image-extra-4.4.0-92-generic
Les NOUVEAUX paquets suivants seront installés :
  discover discover-data libdiscover2
0 mis à jour, 3 nouvellement installés, 2 à enlever et 0 non mis à jour.
6 partiellement installés ou enlevés.
Il est nécessaire de prendre 580 ko dans les archives.
Après cette opération, 214 Mo d'espace disque seront libérés.
Souhaitez-vous continuer ? [O/n] o
Réception de:1 [url]http://fr.archive.ubuntu.com/ubuntu[/url] xenial/universe amd64 discover-data all 2.2013.01.11 [480 kB]
Réception de:2 [url]http://fr.archive.ubuntu.com/ubuntu[/url] xenial/universe amd64 libdiscover2 amd64 2.1.2-7ubuntu1 [76,0 kB]
Réception de:3 [url]http://fr.archive.ubuntu.com/ubuntu[/url] xenial/universe amd64 discover amd64 2.1.2-7ubuntu1 [24,8 kB]                                                                       
580 ko réceptionnés en 6s (92,1 ko/s)                                                                                                                                                  
Préconfiguration des paquets...
(Lecture de la base de données... 270588 fichiers et répertoires déjà installés.)
Suppression de linux-image-extra-4.4.0-92-generic (4.4.0-92.115) ...
depmod: FATAL: could not load /boot/System.map-4.4.0-92-generic: No such file or directory
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 4.4.0-92-generic /boot/vmlinuz-4.4.0-92-generic
run-parts: executing /etc/kernel/postinst.d/dkms 4.4.0-92-generic /boot/vmlinuz-4.4.0-92-generic
Error! Your kernel headers for kernel 4.4.0-92-generic cannot be found.
Please install the linux-headers-4.4.0-92-generic package,
or use the --kernelsourcedir option to tell DKMS where it's located
Error! Your kernel headers for kernel 4.4.0-92-generic cannot be found.
Please install the linux-headers-4.4.0-92-generic package,
or use the --kernelsourcedir option to tell DKMS where it's located
Error! Your kernel headers for kernel 4.4.0-92-generic cannot be found.
Please install the linux-headers-4.4.0-92-generic package,
or use the --kernelsourcedir option to tell DKMS where it's located
Error! Your kernel headers for kernel 4.4.0-92-generic cannot be found.
Please install the linux-headers-4.4.0-92-generic package,
or use the --kernelsourcedir option to tell DKMS where it's located
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 4.4.0-92-generic /boot/vmlinuz-4.4.0-92-generic
update-initramfs: Generating /boot/initrd.img-4.4.0-92-generic                                                                                                                          
WARNING: missing /lib/modules/4.4.0-92-generic                                                                                                                                          
Ensure all necessary drivers are built into the linux image!                                                                                                                            
depmod: ERROR: could not open directory /lib/modules/4.4.0-92-generic: No such file or directory                                                                                        
depmod: FATAL: could not search modules: No such file or directory                                                                                                                      
depmod: WARNING: could not open /var/tmp/mkinitramfs_otPVmc/lib/modules/4.4.0-92-generic/modules.order: No such file or directory                                                       
depmod: WARNING: could not open /var/tmp/mkinitramfs_otPVmc/lib/modules/4.4.0-92-generic/modules.builtin: No such file or directory                                                     
run-parts: executing /etc/kernel/postinst.d/pm-utils 4.4.0-92-generic /boot/vmlinuz-4.4.0-92-generic                                                                                    
run-parts: executing /etc/kernel/postinst.d/unattended-upgrades 4.4.0-92-generic /boot/vmlinuz-4.4.0-92-generic                                                                         
run-parts: executing /etc/kernel/postinst.d/update-notifier 4.4.0-92-generic /boot/vmlinuz-4.4.0-92-generic                                                                             
run-parts: executing /etc/kernel/postinst.d/zz-update-grub 4.4.0-92-generic /boot/vmlinuz-4.4.0-92-generic                                                                              
/usr/sbin/grub-mkconfig: 6: /etc/default/grub: Syntax error: Unterminated quoted string                                                                                                 
run-parts: /etc/kernel/postinst.d/zz-update-grub exited with return code 2                                                                                                              
dpkg: erreur de traitement du paquet linux-image-extra-4.4.0-92-generic (--remove) :                                                                                                    
 le sous-processus script post-removal installé a retourné une erreur de sortie d'état 1                                                                                                
Suppression de linux-image-4.4.0-92-generic (4.4.0-92.115) ...                                                                                                                          
Examining /etc/kernel/postrm.d .                                                                                                                                                        
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 4.4.0-92-generic /boot/vmlinuz-4.4.0-92-generic                                                                               
update-initramfs: Deleting /boot/initrd.img-4.4.0-92-generic                                                                                                                            
run-parts: executing /etc/kernel/postrm.d/zz-update-grub 4.4.0-92-generic /boot/vmlinuz-4.4.0-92-generic                                                                                
/usr/sbin/grub-mkconfig: 6: /etc/default/grub: Syntax error: Unterminated quoted string                                                                                                 
run-parts: /etc/kernel/postrm.d/zz-update-grub exited with return code 2                                                                                                                
Failed to process /etc/kernel/postrm.d at /var/lib/dpkg/info/linux-image-4.4.0-92-generic.postrm line 328.                                                                              
dpkg: erreur de traitement du paquet linux-image-4.4.0-92-generic (--remove) :                                                                                                          
 le sous-processus script post-removal installé a retourné une erreur de sortie d'état 1                                                                                                
Des erreurs ont été rencontrées pendant l'exécution :                                                                                                                                   
 linux-image-extra-4.4.0-92-generic                                                                                                                                                     
 linux-image-4.4.0-92-generic                                                                                                                                                           
E: Sub-process /usr/bin/dpkg returned an error code (1)

Modération : veuillez utiliser les balises code pour les retours de commande. Merci.

Dernière modification par Ayral (Le 09/10/2017, à 19:03)

Hors ligne

#2 Le 09/10/2017, à 19:21

slf

Re : Bug de Mise à jour

Autre sortie sur apt full-upgrade :

root@Tour:/home/papa# apt full-upgrade -f
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Calcul de la mise à jour... Fait
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
6 partiellement installés ou enlevés.
Il est nécessaire de prendre 0 o/57,9 Mo dans les archives.
Après cette opération, 0 o d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n] o
Paramétrage de linux-image-4.4.0-96-generic (4.4.0-96.119) ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
initrd.img(/boot/initrd.img-4.4.0-96-generic
) points to /boot/initrd.img-4.4.0-96-generic
(/boot/initrd.img-4.4.0-96-generic) -- doing nothing at /var/lib/dpkg/info/linux-image-4.4.0-96-generic.postinst line 491.
vmlinuz(/boot/vmlinuz-4.4.0-96-generic
) points to /boot/vmlinuz-4.4.0-96-generic
(/boot/vmlinuz-4.4.0-96-generic) -- doing nothing at /var/lib/dpkg/info/linux-image-4.4.0-96-generic.postinst line 491.
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 4.4.0-96-generic /boot/vmlinuz-4.4.0-96-generic
run-parts: executing /etc/kernel/postinst.d/dkms 4.4.0-96-generic /boot/vmlinuz-4.4.0-96-generic
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 4.4.0-96-generic /boot/vmlinuz-4.4.0-96-generic
update-initramfs: Generating /boot/initrd.img-4.4.0-96-generic
run-parts: executing /etc/kernel/postinst.d/pm-utils 4.4.0-96-generic /boot/vmlinuz-4.4.0-96-generic
run-parts: executing /etc/kernel/postinst.d/unattended-upgrades 4.4.0-96-generic /boot/vmlinuz-4.4.0-96-generic
run-parts: executing /etc/kernel/postinst.d/update-notifier 4.4.0-96-generic /boot/vmlinuz-4.4.0-96-generic
run-parts: executing /etc/kernel/postinst.d/zz-update-grub 4.4.0-96-generic /boot/vmlinuz-4.4.0-96-generic
/usr/sbin/grub-mkconfig: 6: /etc/default/grub: Syntax error: Unterminated quoted string
run-parts: /etc/kernel/postinst.d/zz-update-grub exited with return code 2
Failed to process /etc/kernel/postinst.d at /var/lib/dpkg/info/linux-image-4.4.0-96-generic.postinst line 1052.
dpkg: erreur de traitement du paquet linux-image-4.4.0-96-generic (--configure) :
le sous-processus script post-installation installé a retourné une erreur de sortie d'état 2
dpkg: des problèmes de dépendances empêchent la configuration de linux-image-extra-4.4.0-96-generic :
linux-image-extra-4.4.0-96-generic dépend de linux-image-4.4.0-96-generic ; cependant :
Le paquet linux-image-4.4.0-96-generic n'est pas encore configuré.

dpkg: erreur de traitement du paquet linux-image-extra-4.4.0-96-generic (--configure) :
problèmes de dépendances - laissé non configuré
dpkg: des problèmes de dépendances empêchent la configuration de linux-image-generic :
linux-image-generic dépend de linux-image-4.4.0-96-generic ; cependant :
Le paquet linux-image-4.4.0-96-generic n'est pas encore configuré.
linux-image-generic dépend de linux-image-extra-4.4.0-96-generic ; cependant :
Le paquet linux-image-extra-4.4.0-96-generic n'est pas encore configuré.

dpkg: erreur de traitement du paquet linux-image-generic (--configure) :
problèmes de dépendances - laissé non configuré
dpkg: des problèmes de dépendances empêchent la configuration de linux-genAucun rapport « apport » n'a été créé car le message d'erreur indique une erreur consécutive à un échec précédent.
    Aucun rapport « apport » n'a été créé car le message d'erreur indique une erreur consécutive à un échec précédent.
                                                                                                                      Aucun rapport « apport » écrit car MaxReports a déjà été atteint
                                                                                                                                                                                      Aucun rapport « apport » écrit car MaxReports a déjà été atteint
                                                              Aucun rapport « apport » écrit car MaxReports a déjà été atteint
                                                                                                                              eric :
linux-generic dépend de linux-image-generic (= 4.4.0.96.101) ; cependant :
Le paquet linux-image-generic n'est pas encore configuré.

dpkg: erreur de traitement du paquet linux-generic (--configure) :
problèmes de dépendances - laissé non configuré
dpkg: erreur de traitement du paquet linux-image-4.4.0-92-generic (--configure) :
le paquet linux-image-4.4.0-92-generic n'est pas prêt pour la configuration
configuration impossible (état actuel « half-installed »)
dpkg: erreur de traitement du paquet linux-image-extra-4.4.0-92-generic (--configure) :
le paquet linux-image-extra-4.4.0-92-generic n'est pas prêt pour la configuration
configuration impossible (état actuel « half-installed »)
Des erreurs ont été rencontrées pendant l'exécution :
linux-image-4.4.0-96-generic
linux-image-extra-4.4.0-96-generic
linux-image-generic
linux-generic
linux-image-4.4.0-92-generic
linux-image-extra-4.4.0-92-generic
E: Sub-process /usr/bin/dpkg returned an error code (1)
root@Tour:/home/papa#

Hors ligne

#3 Le 09/10/2017, à 19:28

xubu1957

Re : Bug de Mise à jour

Bonjour,

Pour ajouter toi-même les balises code à ton précédent message…

  • Cliquer sur  le lien « Modifier » en bas à droite du message

  • Sélectionner le texte

  • Cliquer sur le <> de l'éditeur de message

1504631983.png

comme indiqué dans Retour utilisable de commande


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 16.04.1 LTS : Lenovo T410 - Aspire 9411ASWI - HP 7100 DC - Asus 1015BX -Fujitsu Siemens Scaleo J3000  Membre de : Linux-Azur

Hors ligne